Discussion on Fresh Custom Code - WordPress Plugin

106 comments found

Well… I don´t know what to say about this. I am half surprised and half disappointed.

First: One the one hand, the plugins makes a great job. I added some functions to my theme, just to create dynamic values and make wp custom menus to accept shortcodes in links. all this works very fine. And I added custom css to my theme, which also works great.

But, and that is my problem: Custom CSS can not be applied to any plugin. I tried another plugin “simple custom css” (WP Repo, free) and this worked like a charm. I also tried the sometimes integrated css section of the plugins itself and this also works like a charm.

I think, handling plugins css would make this plugin very usefull. At the moment, I will save server ressources when I install 2 free plugins (for functions and code) and not this one

FRESHFACE

Hi there!

Thank you very much for your suggestions, we could implement them in future. Anyway there is one thing which is not clear for me, what do you mean by “Custom CSS can not be applied to any plugin”? Could you be please a little more descriptive about this?

Thanks and cheers! :)
—FRESHFACE

If you like the item and want to support us, please consider rating it in “My Account -> Downloads”.

SUPPORT TOOLS

FOLLOW US

Ufaces Purchased

I really wanted this plugin to work .

Is the second time I try o install it on different sites.

I uploaded the plugin via WP admin, and didn’t work. I uploaded the plugin via FTP, and when I refreshed

ALL MY PLUGINS WHERE DELETED !

And the admin runs super slow

Is there something I can do?

FRESHFACE

Hi there!

I’m really sorry for any inconveniences, we never ever experienced this behaviour before. Could you please send us your WP and FTP login? I’ll take a look and do my best to make it work asap.

Thanks and cheers! :)
—FRESHFACE

If you like the item and want to support us, please consider rating it in “My Account -> Downloads”.

SUPPORT TOOLS

FOLLOW US

Hi :)

I am just checking again on when the update / fix in my previous post (3 months ago) will be available?

“I am adding some icons (e.g. mfg, font awesome etc) via css and unicodes … this involves a ”\” before the unicode e.g. css line …

content:”\f00d”; When I save the code it strips out the ”\”, as a result the change does not appear on the front-end.”

Also I have the same issue experienced by “gafstr” 4 months ago ….

“the “and” and “or” buttons aren’t working in safari (they work in chrome). When I click either button it refreshes and nothing changes.”

Has a fix for this been found?

Many thanks again

Hello,

I just updated my Theme Avada (the best selling theme on Themeforest) to their latest version 3.8.1. This produced a front-end error. The error went away when I deactivated the Fresh Custom Code plugin.

The latest Avada update added LESS code (I believe for the first time.).

Here is the error:

Warning: array_merge(): Argument #2 is not an array in /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php on line 5832

Warning: Invalid argument supplied for foreach() in /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php on line 5835

Fatal error: Uncaught exception ‘Less_Exception_Parser’ with message ‘File `../variables.less` not found. in anonymous-file-0.less’ in /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php:2581 Stack trace: #0 /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php(309): avada_Less_Parser->Error(‘File `../variab…’) #1 /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php(5873): avada_Less_Parser->parseFile(’../variables.le…’, ’../variables.le…’, true) #2 /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php(5801): Less_Tree_Import->ParseImport(’../variables.le…’, ’../variables.le…’, Object(Less_Environment)) #3 /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php(6782): Less_Tree_Import->compile(Object(Less_Environment)) #4 /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php( in /home/cpinspireforlife/public_html/wp-content/themes/Avada/framework/plugins/wp-less/Less.php on line 2581

Cheers, Bill.

FRESHFACE

Hi there!

Firstly let me thank you for your purchase and apologize for any inconveniences. Since we bundle this plugin with our templates, and also sold load of extended licenses and never experienced this error before, it’s most probably error caused by Avada theme. Could you please contact your theme support and ask them about this?

Thanks and cheers! :)
—FRESHFACE

If you like the item and want to support us, please consider rating it in “My Account -> Downloads”.

SUPPORT TOOLS

FOLLOW US

GeekCoaches

The Avada folks are suggesting the first two errors were ones they could fix and that the third needs to be fixed on the Custom Code Plugin side. Here’s what they had to say:

“There seems to be a conflict with the less parsing classes. From our side I can give you this updated version, which will eliminate the Avada parsing conflicts. Please extract it to Avada/framework/plugins/wp-less. The third error, “Fatal error: Uncaught exception ‘Less_Exception_Parser’ with message ‘File…” is coming directly from your other plugin, and I guess the author will have to check it.”

FRESHFACE

Hi there!

Ok, could you please send me your WP and FTP login as well? I’ll do my best to make it work asap.

Thanks and cheers! :)
—FRESHFACE

If you like the item and want to support us, please consider rating it in “My Account -> Downloads”.

SUPPORT TOOLS

FOLLOW US

katw Purchased

Just bought and installed the plugin. I got v1.19 with my purchase.

On activation it tells me a new version is available, so where do I get this new version 1.20? And why isn’t it a download at purchase time?

katw
katw Purchased

Was sluggish but update link worked via dashboard. Just annoying download pack isn’t up-to-date.

FRESHFACE

Hi there!

I’m really sorry for any inconveniences, we’ll upload the new version ASAP, thank you for noticing us. Feel free to contact us in case of any questions or problems.

Thanks and cheers! :)
—FRESHFACE

If you like the item and want to support us, please consider rating it in “My Account -> Downloads”.

SUPPORT TOOLS

FOLLOW US

katw
katw Purchased

Thanks

katw Purchased

How about adding conditional statements that support responsive design decisions?

Would love to see conditional like:

1. Device = Mobile and Viewport >350 and <650

2. Device = Desktop and Viewport > 960

3. Device = Mobile Tablet

So I can add scripts that kick in only if screen size or device orientation dictates it.

A second suggestion:

Plugin needs a customisation function to allow code view colours to be changed (or provide a range of colour presets to choose from).

The default red/green colours are a hard combination for people with colour blindness. They can see a tone difference but they will struggle to distinguish the two and since colour coding is designed to help it wouldn’t be as helpful for them as it could be.

FRESHFACE

Hi there!

Firstly let me thank you for all your hints and tips, it really helps us make the product better.

A.) About the mobile device, it is really hard to detect these devices via some PHP scripts, but you can use the CSS media queries, to exactly define these conditions

B.) About the colors, I just added it to the idea list and we’ll be discussing it with the team when making the next update.

Thanks and cheers! :)
—FRESHFACE

If you like the item and want to support us, please consider rating it in “My Account -> Downloads”.

SUPPORT TOOLS

FOLLOW US

katw
katw Purchased

RE: Suggestion for more device and viewport testing

CSS Media queries only work for CSS or am I wrong?

I was thinking the benefit of using your conditional approach is code weight.. it won’t load script if system doesn’t meet conditional rule.

This means you could for example load JS advanced JQuery tabs for screens big enough or switch to basic HTML menu if system too small. Switch on/off GUI according to space and ease of use.

Yes CSS has @Media queries but if we can’t detect before load to page we would have to load the lot and not just the CSS that applies.

Save for JS, you would have to load a JS with detection code and all code/variations adding bulk and weight.

Nice idea, maybe unfeasible.

BTW How are you conditionally checking for Mobile/Desktop in your plugin now? Can’t the methods be extended?

FRESHFACE

Hi there!

Yes, you are totally right, i just did not think about this alternative. But in current situation, here is not suitable code for PHP for solving this problem, because you still cannot access the client resolution in a PHP environment….

Thanks and cheers! :)
—FRESHFACE

If you like the item and want to support us, please consider rating it in “My Account -> Downloads”.

SUPPORT TOOLS

FOLLOW US

by
by
by
by
by
by